List Eval Config Records
curl --request GET \
--url https://api.vogent.ai/api/eval_configs/{id}/records \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vogent.ai/api/eval_configs/{id}/records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vogent.ai/api/eval_configs/{id}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"dialId": "<string>",
"prompt": {
"id": "<string>",
"systemPrompt": "<string>",
"maxTurns": 123,
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"agentInputs": "<string>"
}
}
],
"cursor": "<string>"
}Eval Records
List Eval Config Records
Lists the records for an AI evaluation configuration.
GET
/
eval_configs
/
{id}
/
records
List Eval Config Records
Authorizations
In the form Bearer <api_key_here>. You can find your api key in your dashboard.
Path Parameters
ID of the eval config.
Query Parameters
The maximum number of records to fetch.
The pagination cursor returned by the previous request.
Optional search filter for record names or IDs.
⌘I